using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Remontor.Connector
{
    internal class DobleMonOne : IModeMon
    {
        [DllImport("user32.dll")]
        static extern bool MoveWindow(IntPtr Handle, int x, int y, int w, int h, bool repaint);
        private int over = 0;
        public DobleMonOne() { }
        public override void Resize(Process Proc, Control View)
        {
            if (over == 0)
            {
                over = 1;
            }
            else
            {
                over = 0;
            }
            MoveWindow(Proc.MainWindowHandle, View.Bounds.X, View.Bounds.Y + 9, View.Bounds.Width * 2, View.Bounds.Height - 9 + over, true);
        }
        public override IModeMon Change(IModeMon Mode)
        {
            if (Mode == this) return this;
            return Mode;
        }
    }
}
